"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const fs = tslib_1.__importStar(require("fs"));
const isomorphic_git_1 = tslib_1.__importDefault(require("isomorphic-git"));
const node_1 = tslib_1.__importDefault(require("isomorphic-git/http/node"));
/** Clones git repository to the project directory displaying a progress bar. */
const cloneGitRepository = async (options) => {
    const { projectDir, gitRepositoryURL } = options;
    const bar = core_1.CliUx.ux.progress({
        fps: 64,
        format: '{bar} || {percentage}%',
        barCompleteChar: '\u2588',
        barIncompleteChar: '\u2591'
    });
    bar.start();
    await isomorphic_git_1.default.clone({
        fs,
        http: node_1.default,
        dir: projectDir,
        url: gitRepositoryURL,
        onProgress(progress) {
            bar.update(progress.loaded);
            if (progress.total !== undefined) {
                bar.setTotal(progress.total);
            }
        }
    });
    bar.stop();
};
exports.default = cloneGitRepository;
//# sourceMappingURL=cloneGitRepository.js.map