"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const fetchIntegrations_1 = tslib_1.__importDefault(require("./fetchIntegrations"));
const git_repository_url_1 = require("../git-repository-url");
/** Gets the integration from user's input. */
const getIntegration = async (options) => {
    const { message, customIntegrationRepositoryMessage } = options;
    const integrations = await (0, fetchIntegrations_1.default)();
    const customIntegration = {
        name: 'Custom integration',
        gitRepositoryURL: null
    };
    const choices = [...integrations, customIntegration].map((integration) => ({
        name: integration.name,
        value: integration
    }));
    const answers = await inquirer_1.default.prompt({
        choices,
        message,
        type: 'list',
        name: 'integration'
    });
    if (answers.integration.gitRepositoryURL)
        return answers.integration;
    return {
        ...answers.integration,
        gitRepositoryURL: await (0, git_repository_url_1.getGitRepositoryURL)(customIntegrationRepositoryMessage)
    };
};
exports.default = getIntegration;
//# sourceMappingURL=getIntegration.js.map