"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const i18next_1 = require("i18next");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const reasonable_filename_1 = tslib_1.__importDefault(require("reasonable-filename"));
const formatToProjectName_1 = tslib_1.__importDefault(require("./formatToProjectName"));
/** Gets a git repository URL from user's input. */
const getProjectName = async (message) => {
    const { projectName } = await inquirer_1.default.prompt({
        type: 'input',
        name: 'projectName',
        message,
        filter: (value) => {
            return (0, formatToProjectName_1.default)(value.trim());
        },
        transformer: (value) => {
            return (0, formatToProjectName_1.default)(value.trimStart());
        },
        validate: (value) => {
            if (!(value === null || value === void 0 ? void 0 : value.trim())) {
                return (0, i18next_1.t)('domain.project_name.is_empty');
            }
            if (!(0, reasonable_filename_1.default)(value)) {
                return (0, i18next_1.t)('domain.project_name.is_not_directory');
            }
            return true;
        }
    });
    return projectName;
};
exports.default = getProjectName;
//# sourceMappingURL=getProjectName.js.map